Package org.drinkless.tdlib

# Class TdApi.ChatEventTitleChanged

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ChatEventAction
org.drinkless.tdlib.TdApi.ChatEventTitleChanged

Enclosing class:
  TdApi

public static class TdApi.ChatEventTitleChanged extends TdApi.ChatEventAction
The chat title was changed.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.ChatEventAction

  `TdApi.ChatEventAction.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `newTitle`
  New chat title.
  `String`
  `oldTitle`
  Previous chat title.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChatEventTitleChanged()`
  The chat title was changed.
  `ChatEventTitleChanged(String oldTitle, String newTitle)`
  The chat title was changed.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### oldTitle

    public String oldTitle
    Previous chat title.

  - ### newTitle

    public String newTitle
    New chat title.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ChatEventTitleChanged

    public ChatEventTitleChanged()
    The chat title was changed.

  - ### ChatEventTitleChanged

    public ChatEventTitleChanged(String oldTitle, String newTitle)
    The chat title was changed.
    Parameters:
      `oldTitle` - Previous chat title.
      `newTitle` - New chat title.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.ChatEventAction`
    Returns:
      this.CONSTRUCTOR